package com.sv.dto.api;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * DTO - 用户退款记录表
 *
 * @author lihong
 * @since 2018-08-07
 */
public class MemberRefundDTO implements Serializable {


    /**
     * 
     */
    private Integer id;

    /**
     * 用户ID
     */
    private Integer memberId;

    /**
     * 课程ID
     */
    private Integer lessonId;

    /**
     * 退款金额
     */
    private BigDecimal money;

    /**
     * 退款状态
     */
    private String refundStatus;

    /**
     * 退款时间
     */
    private Date successTime;

    /**
     * 商户订单号
     */
    private String orderSn;

    /**
     * 微信订单号
     */
    private String transactionId;

    /**
     * 订单ID
     */
    private Integer orderId;

    /**
     * 微信退款单号		
     */
    private String refundId;

    /**
     * 商户退款单号
     */
    private String outRefundNo;

    /**
     * 平台来源ID
     */
    private Integer platformId;

    /**
     * 创建者编号
     */
    private Integer createdId;

    /**
     * 创建者编号
     */
    private Integer modifiedId;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date modifiedTime;

    /**
     * 删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     */
    private Integer deleted;



    /**
     * 设置
     *
     * @param id 
     */
    public void setId(Integer id){
        this.id = id;
    }

    /**
     * 获取
     *
     * @return 
     */
    public Integer getId(){
        return id;
    }


    /**
     * 设置用户ID
     *
     * @param memberId 用户ID
     */
    public void setMemberId(Integer memberId){
        this.memberId = memberId;
    }

    /**
     * 获取用户ID
     *
     * @return 用户ID
     */
    public Integer getMemberId(){
        return memberId;
    }


    /**
     * 设置课程ID
     *
     * @param lessonId 课程ID
     */
    public void setLessonId(Integer lessonId){
        this.lessonId = lessonId;
    }

    /**
     * 获取课程ID
     *
     * @return 课程ID
     */
    public Integer getLessonId(){
        return lessonId;
    }


    /**
     * 设置退款金额
     *
     * @param money 退款金额
     */
    public void setMoney(BigDecimal money){
        this.money = money;
    }

    /**
     * 获取退款金额
     *
     * @return 退款金额
     */
    public BigDecimal getMoney(){
        return money;
    }


    /**
     * 设置退款状态
     *
     * @param refundStatus 退款状态
     */
    public void setRefundStatus(String refundStatus){
        this.refundStatus = refundStatus;
    }

    /**
     * 获取退款状态
     *
     * @return 退款状态
     */
    public String getRefundStatus(){
        return refundStatus;
    }


    /**
     * 设置退款时间
     *
     * @param successTime 退款时间
     */
    public void setSuccessTime(Date successTime){
        this.successTime = successTime;
    }

    /**
     * 获取退款时间
     *
     * @return 退款时间
     */
    public Date getSuccessTime(){
        return successTime;
    }


    /**
     * 设置商户订单号
     *
     * @param orderSn 商户订单号
     */
    public void setOrderSn(String orderSn){
        this.orderSn = orderSn;
    }

    /**
     * 获取商户订单号
     *
     * @return 商户订单号
     */
    public String getOrderSn(){
        return orderSn;
    }


    /**
     * 设置微信订单号
     *
     * @param transactionId 微信订单号
     */
    public void setTransactionId(String transactionId){
        this.transactionId = transactionId;
    }

    /**
     * 获取微信订单号
     *
     * @return 微信订单号
     */
    public String getTransactionId(){
        return transactionId;
    }


    /**
     * 设置订单ID
     *
     * @param orderId 订单ID
     */
    public void setOrderId(Integer orderId){
        this.orderId = orderId;
    }

    /**
     * 获取订单ID
     *
     * @return 订单ID
     */
    public Integer getOrderId(){
        return orderId;
    }


    /**
     * 设置微信退款单号		
     *
     * @param refundId 微信退款单号		
     */
    public void setRefundId(String refundId){
        this.refundId = refundId;
    }

    /**
     * 获取微信退款单号		
     *
     * @return 微信退款单号		
     */
    public String getRefundId(){
        return refundId;
    }


    /**
     * 设置创建者编号
     *
     * @param createdId 创建者编号
     */
    public void setCreatedId(Integer createdId){
        this.createdId = createdId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getCreatedId(){
        return createdId;
    }


    /**
     * 设置创建者编号
     *
     * @param modifiedId 创建者编号
     */
    public void setModifiedId(Integer modifiedId){
        this.modifiedId = modifiedId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getModifiedId(){
        return modifiedId;
    }


    /**
     * 设置创建时间
     *
     * @param createdTime 创建时间
     */
    public void setCreatedTime(Date createdTime){
        this.createdTime = createdTime;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreatedTime(){
        return createdTime;
    }


    /**
     * 设置更新时间
     *
     * @param modifiedTime 更新时间
     */
    public void setModifiedTime(Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }

    /**
     * 获取更新时间
     *
     * @return 更新时间
     */
    public Date getModifiedTime(){
        return modifiedTime;
    }


    /**
     * 设置删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @param deleted 删除标识位
     */
    public void setDeleted(Integer deleted){
        this.deleted = deleted;
    }

    /**
     * 获取删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @return 删除标识位
     */
    public Integer getDeleted(){
        return deleted;
    }

    public String getOutRefundNo() {
        return outRefundNo;
    }

    public void setOutRefundNo(String outRefundNo) {
        this.outRefundNo = outRefundNo;
    }

    public Integer getPlatformId() {
        return platformId;
    }

    public void setPlatformId(Integer platformId) {
        this.platformId = platformId;
    }
}